Meetings
Create a meeting
Create a new meeting. Only past meetings can be logged via the API.
POST
/
v1
/
meetings
Create a meeting
curl --request POST \
--url https://api.slant.app/v1/meetings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"book_id": "abc123xyz",
"title": "Client Review",
"start_time": "2024-01-15T10:00:00Z",
"end_time": "2024-01-15T11:00:00Z",
"notepad": "## Agenda\\n\\n- Review portfolio",
"household_ids": [
"<string>"
]
}
'import requests
url = "https://api.slant.app/v1/meetings"
payload = {
"book_id": "abc123xyz",
"title": "Client Review",
"start_time": "2024-01-15T10:00:00Z",
"end_time": "2024-01-15T11:00:00Z",
"notepad": "## Agenda\n\n- Review portfolio",
"household_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
book_id: 'abc123xyz',
title: 'Client Review',
start_time: '2024-01-15T10:00:00Z',
end_time: '2024-01-15T11:00:00Z',
notepad: '## Agenda\n\n- Review portfolio',
household_ids: ['<string>']
})
};
fetch('https://api.slant.app/v1/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"book_id": "<string>",
"households": [
{
"id": "<string>",
"name": "<string>"
}
],
"has_transcript": true,
"has_recordings": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"meeting_link": "<string>",
"meeting_type": "<string>",
"users": [
{
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
],
"quick_summary": "<string>",
"ai_summary": "<string>",
"notepad": "<string>",
"transcript": "<array>",
"event_participants": "<array>"
}{
"error": "invalid_json",
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Headers
Unique key to ensure idempotent request handling. If a request with the same key was already processed, the original response will be returned.
Body
application/json
The book ID
Example:
"abc123xyz"
Meeting title
Example:
"Client Review"
Meeting start time (ISO8601). Must be in the past.
Example:
"2024-01-15T10:00:00Z"
Meeting end time (ISO8601)
Example:
"2024-01-15T11:00:00Z"
Meeting notes (markdown)
Example:
"## Agenda\\n\\n- Review portfolio"
Array of household IDs to link to this meeting
Response
meeting created
Show child attributes
Show child attributes
Available options:
instant, calendar_event, imported, logged Show child attributes
Show child attributes
⌘I
Create a meeting
